/**********************************************************
RunUO AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by Red Squirrel on Sep-16-2011 09:08:47pm
Filepath: scripts\Items\Artifacts\Artifacts of Assimilation\lesser\DarkAuroa.cs
Lines of code: 44

Description: 

***********************************************************/


//***************
//this item has been converted to  DarkAura
//**************

using System;
using Server;

namespace Server.Items
{
	public class DarkAuroa : WarFork
	{
		public override int InitMinHits{ get{ return 255; } }
		public override int InitMaxHits{ get{ return 255; } }

		[Constructable]
		public DarkAuroa()
		{
			Hue = 1157;
			Name = "Dark Auroa";
			WeaponAttributes.HitFireball = 50;
			Attributes.BonusDex = 5;
			Attributes.AttackChance = 15;
            Attributes.SpellChanneling = 1;
			Attributes.WeaponSpeed = -30;
			
			AosElementDamages.Physical=0;
			AosElementDamages.Fire=0;
			AosElementDamages.Cold=75;
			AosElementDamages.Poison=0;
			AosElementDamages.Energy=25;
			AosElementDamages.Chaos=0;			
		}

		public DarkAuroa ( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 );
		}
		
		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}	

		public override void OnAfterLoad()
		{		
			Misc.ObjectConverter.ConvertItem(this,new DarkAura());
		}		
	}
}